diff -rNup ruby-2.7.3/basictest/test.rb ruby-2.7.3.patched/basictest/test.rb
--- ruby-2.7.3/basictest/test.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/basictest/test.rb	2021-06-11 14:54:21.896575840 +0300
@@ -1976,7 +1976,7 @@ test_ok(`./miniruby -s #{script_tmp} -zz
 test_ok(`./miniruby -s #{script_tmp} -zzz=555` == '555')
 
 tmp = open(script_tmp, "w")
-tmp.print "#! /usr/local/bin/ruby -s\n";
+tmp.print "#! /usr/bin/ruby -s\n";
 tmp.print "print $zzz\n";
 tmp.close
 
@@ -1984,7 +1984,7 @@ test_ok(`./miniruby #{script_tmp} -zzz=6
 
 tmp = open(script_tmp, "w")
 tmp.print "this is a leading junk\n";
-tmp.print "#! /usr/local/bin/ruby -s\n";
+tmp.print "#! /usr/bin/ruby -s\n";
 tmp.print "print $zzz\n";
 tmp.print "__END__\n";
 tmp.print "this is a trailing junk\n";
diff -rNup ruby-2.7.3/benchmark/app_pentomino.rb ruby-2.7.3.patched/benchmark/app_pentomino.rb
--- ruby-2.7.3/benchmark/app_pentomino.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/benchmark/app_pentomino.rb	2021-06-11 14:54:21.820579368 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 # This program is contributed by Shin Nishiyama
 
 
diff -rNup ruby-2.7.3/ext/bigdecimal/sample/linear.rb ruby-2.7.3.patched/ext/bigdecimal/sample/linear.rb
--- ruby-2.7.3/ext/bigdecimal/sample/linear.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/ext/bigdecimal/sample/linear.rb	2021-06-11 14:54:21.822579275 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 # frozen_string_literal: false
 
 #
diff -rNup ruby-2.7.3/ext/bigdecimal/sample/nlsolve.rb ruby-2.7.3.patched/ext/bigdecimal/sample/nlsolve.rb
--- ruby-2.7.3/ext/bigdecimal/sample/nlsolve.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/ext/bigdecimal/sample/nlsolve.rb	2021-06-11 14:54:21.823579229 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 # frozen_string_literal: false
 
 #
diff -rNup ruby-2.7.3/ext/bigdecimal/sample/pi.rb ruby-2.7.3.patched/ext/bigdecimal/sample/pi.rb
--- ruby-2.7.3/ext/bigdecimal/sample/pi.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/ext/bigdecimal/sample/pi.rb	2021-06-11 14:54:21.823579229 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 # frozen_string_literal: false
 
 #
diff -rNup ruby-2.7.3/ext/extmk.rb ruby-2.7.3.patched/ext/extmk.rb
--- ruby-2.7.3/ext/extmk.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/ext/extmk.rb	2021-06-11 14:54:21.833578765 +0300
@@ -1,4 +1,4 @@
-#! /usr/local/bin/ruby
+#! /usr/bin/ruby
 # -*- mode: ruby; coding: us-ascii -*-
 # frozen_string_literal: false
 
diff -rNup ruby-2.7.3/lib/exe/racc2y ruby-2.7.3.patched/lib/exe/racc2y
--- ruby-2.7.3/lib/exe/racc2y	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/lib/exe/racc2y	2021-06-11 14:54:21.932574169 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 #
 # $Id$
 #
diff -rNup ruby-2.7.3/lib/exe/y2racc ruby-2.7.3.patched/lib/exe/y2racc
--- ruby-2.7.3/lib/exe/y2racc	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/lib/exe/y2racc	2021-06-11 14:54:21.929574309 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 #
 # $Id$
 #
diff -rNup ruby-2.7.3/libexec/racc2y ruby-2.7.3.patched/libexec/racc2y
--- ruby-2.7.3/libexec/racc2y	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/libexec/racc2y	2021-06-11 14:54:21.904575469 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 #
 # $Id$
 #
diff -rNup ruby-2.7.3/libexec/y2racc ruby-2.7.3.patched/libexec/y2racc
--- ruby-2.7.3/libexec/y2racc	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/libexec/y2racc	2021-06-11 14:54:21.902575562 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 #
 # $Id$
 #
diff -rNup ruby-2.7.3/man/ruby.1 ruby-2.7.3.patched/man/ruby.1
--- ruby-2.7.3/man/ruby.1	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/man/ruby.1	2021-06-11 14:54:21.868577140 +0300
@@ -214,9 +214,9 @@ with a slash.  This is used to emulate
 .Li #!
 on machines that don't support it, in the following manner:
 .Bd -literal -offset indent
-#! /usr/local/bin/ruby
+#! /usr/bin/ruby
 # This line makes the next one a comment in Ruby \e
-  exec /usr/local/bin/ruby -S $0 $*
+  exec /usr/bin/ruby -S $0 $*
 .Ed
 .Pp
 On some systems
@@ -351,7 +351,7 @@ Any switches found there are removed fro
 .Li ARGV
 and set the corresponding variable in the script.  For example:
 .Bd -literal -offset indent
-#! /usr/local/bin/ruby -s
+#! /usr/bin/ruby -s
 # prints "true" if invoked with `-xyz' switch.
 print "true\en" if $xyz
 .Ed
diff -rNup ruby-2.7.3/sample/biorhythm.rb ruby-2.7.3.patched/sample/biorhythm.rb
--- ruby-2.7.3/sample/biorhythm.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/biorhythm.rb	2021-06-11 14:54:21.807579972 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 #
 #               biorhythm.rb -
 #                       $Release Version: $
diff -rNup ruby-2.7.3/sample/drb/old_tuplespace.rb ruby-2.7.3.patched/sample/drb/old_tuplespace.rb
--- ruby-2.7.3/sample/drb/old_tuplespace.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/drb/old_tuplespace.rb	2021-06-11 14:54:21.811579786 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 # TupleSpace
 # Copyright (c) 1999-2000 Masatoshi SEKI
 # You can redistribute it and/or modify it under the same terms as Ruby.
diff -rNup ruby-2.7.3/sample/drb/simpletuple.rb ruby-2.7.3.patched/sample/drb/simpletuple.rb
--- ruby-2.7.3/sample/drb/simpletuple.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/drb/simpletuple.rb	2021-06-11 14:54:21.813579693 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 # SimpleTupleSpace
 # Copyright (c) 1999-2000 Masatoshi SEKI
 # You can redistribute it and/or modify it under the same terms as Ruby.
diff -rNup ruby-2.7.3/sample/drb/speedc.rb ruby-2.7.3.patched/sample/drb/speedc.rb
--- ruby-2.7.3/sample/drb/speedc.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/drb/speedc.rb	2021-06-11 14:54:21.808579925 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 
 uri = ARGV.shift || raise("usage: #{$0} URI")
 N = (ARGV.shift || 100).to_i
diff -rNup ruby-2.7.3/sample/exyacc.rb ruby-2.7.3.patched/sample/exyacc.rb
--- ruby-2.7.3/sample/exyacc.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/exyacc.rb	2021-06-11 14:54:21.813579693 +0300
@@ -1,4 +1,4 @@
-#! /usr/local/bin/ruby -Kn
+#! /usr/bin/ruby -Kn
 # usage: exyacc.rb [yaccfiles]
 # this is covered from exyacc.pl in the camel book
 
diff -rNup ruby-2.7.3/sample/from.rb ruby-2.7.3.patched/sample/from.rb
--- ruby-2.7.3/sample/from.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/from.rb	2021-06-11 14:54:21.818579461 +0300
@@ -1,4 +1,4 @@
-#! /usr/local/bin/ruby
+#! /usr/bin/ruby
 
 require "time"
 require "kconv"
diff -rNup ruby-2.7.3/sample/fullpath.rb ruby-2.7.3.patched/sample/fullpath.rb
--- ruby-2.7.3/sample/fullpath.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/fullpath.rb	2021-06-11 14:54:21.816579554 +0300
@@ -1,4 +1,4 @@
-#! /usr/local/bin/ruby
+#! /usr/bin/ruby
 # convert ls-lR filename into fullpath.
 
 if ARGV[0] =~ /-p/
diff -rNup ruby-2.7.3/sample/less.rb ruby-2.7.3.patched/sample/less.rb
--- ruby-2.7.3/sample/less.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/less.rb	2021-06-11 14:54:21.819579415 +0300
@@ -1,4 +1,4 @@
-#! /usr/local/bin/ruby
+#! /usr/bin/ruby
 
 ZCAT = "/usr/local/bin/zcat"
 LESS = "/usr/local/bin/less"
diff -rNup ruby-2.7.3/sample/observ.rb ruby-2.7.3.patched/sample/observ.rb
--- ruby-2.7.3/sample/observ.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/observ.rb	2021-06-11 14:54:21.814579647 +0300
@@ -1,4 +1,4 @@
-#! /usr/local/bin/ruby
+#! /usr/bin/ruby
 
 require "observer"
 
diff -rNup ruby-2.7.3/sample/pi.rb ruby-2.7.3.patched/sample/pi.rb
--- ruby-2.7.3/sample/pi.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/pi.rb	2021-06-11 14:54:21.816579554 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 
 k, a, b, a1, b1 = 2, 4, 1, 12, 4
 
diff -rNup ruby-2.7.3/sample/rdoc/markup/rdoc2latex.rb ruby-2.7.3.patched/sample/rdoc/markup/rdoc2latex.rb
--- ruby-2.7.3/sample/rdoc/markup/rdoc2latex.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/rdoc/markup/rdoc2latex.rb	2021-06-11 14:54:21.815579600 +0300
@@ -1,4 +1,4 @@
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 # Illustration of a script to convert an RDoc-style file to a LaTeX document
 
 require 'rdoc/markup'
diff -rNup ruby-2.7.3/sample/trojan.rb ruby-2.7.3.patched/sample/trojan.rb
--- ruby-2.7.3/sample/trojan.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/sample/trojan.rb	2021-06-11 14:54:21.814579647 +0300
@@ -1,4 +1,4 @@
-#! /usr/local/bin/ruby
+#! /usr/bin/ruby
 
 path = ENV['PATH'].split(File::PATH_SEPARATOR)
 
diff -rNup ruby-2.7.3/test/ruby/test_system.rb ruby-2.7.3.patched/test/ruby/test_system.rb
--- ruby-2.7.3/test/ruby/test_system.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/test/ruby/test_system.rb	2021-06-11 14:54:21.835578672 +0300
@@ -19,7 +19,7 @@ class TestSystem < Test::Unit::TestCase
       assert_equal('555', `#{ruby} -s #{tmpfilename} -zzz=555`)
 
       tmp = open(tmpfilename, "w")
-      tmp.print "#! /usr/local/bin/ruby -s\n";
+      tmp.print "#! /usr/bin/ruby -s\n";
       tmp.print "print $zzz\n";
       tmp.close
 
@@ -27,7 +27,7 @@ class TestSystem < Test::Unit::TestCase
 
       tmp = open(tmpfilename, "w")
       tmp.print "this is a leading junk\n";
-      tmp.print "#! /usr/local/bin/ruby -s\n";
+      tmp.print "#! /usr/bin/ruby -s\n";
       tmp.print "print $zzz if defined? $zzz\n";
       tmp.print "__END__\n";
       tmp.print "this is a trailing junk\n";
@@ -39,7 +39,7 @@ class TestSystem < Test::Unit::TestCase
       tmp = open(tmpfilename, "w")
       tmp.print "#! /non/exist\\interpreter?/./to|be:ignored\n";
       tmp.print "this is a leading junk\n";
-      tmp.print "#! /usr/local/bin/ruby -s\n";
+      tmp.print "#! /usr/bin/ruby -s\n";
       tmp.print "print $zzz if defined? $zzz\n";
       tmp.print "__END__\n";
       tmp.print "this is a trailing junk\n";
diff -rNup ruby-2.7.3/test/rubygems/test_gem_installer.rb ruby-2.7.3.patched/test/rubygems/test_gem_installer.rb
--- ruby-2.7.3/test/rubygems/test_gem_installer.rb	2021-04-05 15:39:38.000000000 +0300
+++ ruby-2.7.3.patched/test/rubygems/test_gem_installer.rb	2021-06-11 14:54:21.860577511 +0300
@@ -136,7 +136,7 @@ end
 
     File.open File.join(util_inst_bindir, 'executable'), 'w' do |io|
       io.write <<-EXEC
-#!/usr/local/bin/ruby
+#!/usr/bin/ruby
 #
 # This file was generated by RubyGems
 
